import React, { useMemo } from 'react'
import moment from 'moment'

const dateType = ['date', 'dateTime', 'month', 'year', 'week', 'quarter', 'datePeriod']

const DateView = (props) => {

  const { value, format } = props

  const valueShow = useMemo(() => {
    if (value) {
      const isValid = moment(value)._isValid
      if (isValid) {
        if (format === dateType[0]) {
          return moment(value).format('YYYY-MM-DD')
        } else if (format === dateType[1]) {
          return moment(value).format('YYYY-MM-DD HH:mm')
        } else if (format === dateType[2]) {
          return moment(value).format('YYYY-MM')
        } else if (format === dateType[3]) {
          return moment(value).format('YYYY')
        } else if (format === dateType[4]) {
          return `${moment(value).format('YYYY')}年${moment(value).week()}周`
        } else if (format === dateType[5]) {
          return `${moment(value).format('YYYY')}年${moment(value).quarter()}季度`
        } else if (format === dateType[6]) {
          return `${moment(value).format('YYYY-MM-DD')} ${moment(value).format('HH:mm') >= '12:00' ? '下午' : '上午'}`
        }
      }
    }
    return value
  }, [value])

  return (
    <div>{valueShow}</div>
  )

}

export default DateView